@import url('https://fonts.googleapis.com/css?family=Noto+Sans+TC:100,300,400,500,700,900&display=swap');

/************************** gameBOX start ********************************/
.gameBOX,
.gameBOX *{
	box-sizing: border-box;
}

.gameBOX {
	position: relative;
	margin:0 auto;
	max-width:1250px;
	aspect-ratio:2.4;
	font-family: 'Noto Sans TC';
	font-size: clamp(10px, 2.72vw, 34px);
	border-radius:1.8em;
	overflow:hidden;
}

/*********** 題目 start *************/
.QBlock{
	height:100%;
}
.QBlock:has(~.RBlock.show){
	display: none;
}
.Q{
	--bg:#76acdd;
	position: relative;
	height:100%;
	padding:1.6% 4% 0;
	color:#FFF;
	background-color:var(--bg);
	background-repeat: no-repeat;
	background-position: center bottom;
	background-size:48%;
	display: none;
}
.Q:nth-child(1){ background-image: url(../imgs/gameQ1.svg);}
.Q:nth-child(2){ background-image: url(../imgs/gameQ2.svg);}
.Q:nth-child(3){ background-image: url(../imgs/gameQ3.svg);}
.Q:nth-child(4){ background-image: url(../imgs/gameQ4.svg);}
.Q:nth-child(5){ background-image: url(../imgs/gameQ5.svg);}
.Q:nth-child(6){ background-image: url(../imgs/gameQ6.svg);}
.Q:nth-child(7){ background-image: url(../imgs/gameQ7.svg);}
.Q.active{
	display: block;
}

.Q h3{
	font-size: 0.8em;
	line-height: 0.8em;
	margin:0;
	display: flex;
	justify-content: center;
	align-items: flex-start;
}
.Q h3 em{
	display: flex;
	justify-content: center;
	align-items: center;
	flex-shrink: 0;
	font-size: 1.5em;
	font-style: normal;
	font-weight: 700;
	line-height: 1em;
	width:1.8em;
	aspect-ratio:1;
	border-radius:50%;
	color: var(--bg);
	background:#FFF;
}
.Q h3 em i{
	font-style: normal;
	display: block;
	translate:0 -0.05em;
}
.Q h3 span{
	margin:0.5em 0 0 0.8em;
	line-height: 1.4em;
}

.Q button{
	--YN-side:12%;
	position: absolute;
	top:50%;
	translate:0 -50%;
	width:8.8%;
	aspect-ratio:0.6111;
	font-size: 0;
	border:none;
	background-color:transparent;
	background-repeat: no-repeat;
	background-position: center;
	background-size: 100%;
	cursor: pointer;
	transition: all 0.2s;
	padding:0;
}
.Q button.out{
	opacity: 0.2;
}
.Q button:hover{
	scale:1.2;
}
.Q button.Y{ 
	left:var(--YN-side);
	background-image: url(../imgs/gameY.png);
}
.Q button.N{ 
	right:var(--YN-side);
	background-image: url(../imgs/gameN.png);
}
/*********** 題目 end *************/

/*********** 解答 start *************/
.ABlock{
	position: absolute;
	left:0;
	top:0;
	width:100%;
	height:100%;
	background-repeat: no-repeat;
	background-position: center;
	background-size: 0;
	transition: all 0.5s;
	visibility: hidden;
}
.ABlock.show{
	background-size: 30%;
	visibility: visible;
}
.ABlock.correct{ background-image:url(../imgs/gameV.png);}
.ABlock.wrong{ background-image:url(../imgs/gameX.png);}
/*********** 解答 end *************/

/*********** 說明 start *************/
.EBlock{
	position: absolute;
	left:0;
	top:0;
	width:100%;
	height:100%;
	display: flex;
	justify-content: center;
	align-items: center;
	background: rgba(80, 80, 80, 0.8);
	visibility:hidden;
}
.EBlock.show{
	visibility:visible;
}

.eduWrapper{
	position: relative;
	width:50%;
	font-size: 0.65em;
	border-radius:1.8em;
	background: #FFF;
	scale:0;
	transition: scale 0.5s;
}
.EBlock.show .eduWrapper{
	scale:1;
}

.eduWrapper h2{
	margin:0;
	font-size: 1.2em;
	font-weight: 900;
	line-height: 1em;
	color:#25558e;
	padding:0.8em 1em 0.7em;
	text-align: center;
	border-bottom:1px solid #255954;
}

.eduDetail{
	display: flex;
	flex-direction: column;
	padding:0.4em 1.5em 1em;
}

.eduDetail > *+*{
	margin-top:0.5em;
}
.eduCT{
	display: flex;
	justify-content: space-between;
	align-items: center;
}
.eduCT:before{
	content:"";
	display: block;
	width:20%;
	aspect-ratio:1;
	background-repeat: no-repeat;
	background-position: center;
	background-size: 100%;
}
.eduA{
	flex-direction: row-reverse;
}
.eduQ:before{ background-image: url(../imgs/gameEduQ.svg);}
.eduA:before{ background-image: url(../imgs/gameEduA.svg);}
.eduCT .txt{
	width:78%;
	display: flex;
	justify-content: space-between;
	align-items: center;
}
.eduCT .txt:before{
	content:"";
	display: block;
	background-repeat: no-repeat;
	background-position: center;
	background-size: 100%;
}
.eduQ .txt:before{
	width:12%;
	aspect-ratio:1.21;
}
.eduQ.Y .txt:before{ background-image: url(../imgs/gameV.png);}
.eduQ.N .txt:before{ background-image: url(../imgs/gameX.png);}
.eduA .txt:before{
	width:15%;
	aspect-ratio:1;
	background-image: url(../imgs/gameBulb.svg);
}
.eduCT .txt p{
	margin:0;
	color:#25354c;
	font-size: 0.9em;
}
.eduQ .txt p{ width:86%;}
.eduA .txt p{ width:83%;}

.eduDetail .nextBtn{
	align-self:center;
	border:none;
	color:#FFF;
	background: #25558e;
	font-size: 0.9em;
	line-height: 1em;
	padding:0.5em 1em 0.4em;
	border-radius:2em;
	cursor:pointer;
	transition: background 0.2s;
}
.eduDetail .nextBtn:hover{
	background: #25354c;
}

.eduWrapper .closeBtn{
	position: absolute;
	font-size: 0.6em;
	right:1.5em;
	top:1.3em;
	width:2.5em;
	aspect-ratio:1;
	text-indent: 100%;
	overflow:hidden;
	padding:0;
	border:none;
	background: transparent;
	cursor:pointer;
	transition: rotate 0.2s;
}
.eduWrapper .closeBtn:hover{
	rotate:-90deg;
}
.eduWrapper .closeBtn:before,
.eduWrapper .closeBtn:after{
	position: absolute;
	content: "";
	display: block;
	left:50%;
	top:50%;
	width:100%;
	height:0.3em;
	background: #25558e;
	border-radius:1em;
	translate:-50% -50%;
}
.eduWrapper .closeBtn:before{ rotate:-45deg;}
.eduWrapper .closeBtn:after{ rotate:45deg;}
/*********** 說明 end *************/

/*********** 結果 start *************/
.RBlock {
	position: absolute;
	left:0;
	top:0;
	width:100%;
	height:100%;
	display: none;
}
.RBlock.show {
	display: block;
}

.R{
	position: relative;
	height:inherit;
	background-repeat: no-repeat;
	background-position: center;
	background-size: 100%;
	display: none;
}
.R:nth-child(1){ background-image: url(../imgs/gameResult1.svg);}
.R:nth-child(2){ background-image: url(../imgs/gameResult2.svg);}
.R:nth-child(3){ background-image: url(../imgs/gameResult3.svg);}
.R.active{
	display: block;
}

.R button{
	position: absolute;
	bottom:2%;
	font-size: 0;
	width:16.32%;
	aspect-ratio:1.17;
	border:none;
	background: url(../imgs/gameReplay.svg) no-repeat center/100%;
	transform-origin:45% bottom;
	cursor:pointer;
	transition: scale 0.2s;
}
.R:nth-child(1) button{	left:37.92%;}
.R:nth-child(2) button{	left:44.8%;}
.R:nth-child(3) button{	left:41.6%;}
.R button:hover{ scale: 1.05;}
/*********** 結果 end *************/
/************************** gameBOX end ********************************/


/*手機版xs*/
@media (max-width: 767.98px) { 
	
	/************************** gameBOX start ********************************/
	.gameBOX {
		aspect-ratio:0.6344;
		font-size: clamp(10px, 4.2vw, 34px);
	}

	/*********** 題目 start *************/
	.Q{
		padding:12% 8% 0;
		background-position-y:80%;
		background-size:100%;
	}
	.Q h3{
		font-size: 1.1em;
	}
	.Q h3 span {
		margin: 0;
		margin-left: 10px;
	}
	.Q button{
		--YN-side:10%;
		top:35%;
		width:18%;
	}
	/*********** 題目 end *************/

	/*********** 解答 start *************/
	.ABlock.show{
		background-position: center 65%;
		background-size: 55%;
	}
	/*********** 解答 end *************/
	
	/*********** 說明 start *************/
	.eduWrapper{
		width:90%;
		font-size: 1em;
	}

	.eduDetail > *+*{
		margin-top:1em;
	}

	.eduDetail .nextBtn{
		margin-top:1.5em;
	}
	/*********** 說明 end *************/

	/*********** 結果 start *************/
	.R:nth-child(1){ background-image: url(../imgs/gameResult1m.svg);}
	.R:nth-child(2){ background-image: url(../imgs/gameResult2m.svg);}
	.R:nth-child(3){ background-image: url(../imgs/gameResult3m.svg);}

	.R button{
		top:0;
		bottom:auto;
		margin-top:45.65%;
		width:29.56%;
	}
	.R:nth-child(1) button,
	.R:nth-child(2) button,
	.R:nth-child(3) button{
		left:50%;
		translate: -50%;
	}
	.R:nth-child(2) button{
		margin-top:38.26%;
	}
	/*********** 結果 end *************/
	/************************** gameBOX end ********************************/
	
}